Bug 493545 - deadlock after pressing Reply button
deadlock after pressing Reply button
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 04:05 EDT by Dan Horák
Modified: 2009-10-24 05:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-24 05:28:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from attached GDB (6.06 KB, application/x-gzip)
2009-04-02 04:06 EDT, Dan Horák
no flags Details
xsession-errors (11.66 KB, application/x-gzip)
2009-04-02 04:09 EDT, Dan Horák
no flags Details

  None (edit)
Description Dan Horák 2009-04-02 04:05:56 EDT
Description of problem:
Evolution is stuck in deadlock after pressing the Reply button for a mail.

Version-Release number of selected component (if applicable):
evolution-2.24.5-1.fc10.x86_64

How reproducible:
occasionally
Comment 1 Dan Horák 2009-04-02 04:06:58 EDT
Created attachment 337736 [details]
output from attached GDB
Comment 2 Dan Horák 2009-04-02 04:09:15 EDT
Created attachment 337739 [details]
xsession-errors
Comment 3 Milan Crha 2009-04-02 07:52:47 EDT
#9  <signal handler called>
#10 0x0000003290232f05 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#11 0x0000003290234a73 in abort () at abort.c:88
#12 0x0000003290272438 in __libc_message (do_abort=2, 
    fmt=0x329033c428 "*** glibc detected *** %s: %s: 0x%s ***\n")
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:170
#13 0x0000003290277ec8 in malloc_printerr (action=2, 
    str=0x329033c530 "double free or corruption (!prev)", ptr=<value optimized out>)
    at malloc.c:5994
#14 0x000000329027a486 in __libc_free (mem=0x3290332880) at malloc.c:3625
#15 0x000000343b830e75 in ORBit_small_invoke_stub (obj=0x21b87f0, m_data=0x343be3b4c0, 
    ret=0x7fff1402c188, args=0x7fff1402c150, ctx=0x0, ev=0x7fff1402c1f0) at orbit-small.c:691
#16 0x000000343bc2c67f in ConfigDatabase2_lookup_with_schema_name (_obj=0xec5, 
    key=0x30124211f8 "/apps/evolution/mail/default_account", locale=0x212ab60 "cs_CZ.UTF-8", 
    use_schema_default=1 '\001', schema_name=0x7fff1402c228, value_is_default=0x7fff1402c23f "", 
    value_is_writable=0x7fff1402c23e "\001", ev=0x7fff1402c1f0) at GConfX-stubs.c:210
#17 0x000000343bc23adf in gconf_engine_get_fuller (conf=0x21b0b60, 
    key=0x30124211f8 "/apps/evolution/mail/default_account", locale=0x212ab60 "cs_CZ.UTF-8", 
    use_schema_default=<value optimized out>, is_default_p=0x7fff1402c2a8, 
    is_writable_p=0x7fff1402c2ac, schema_name_p=0x7fff1402c298, err=0x7fff1402c2a0) at gconf.c:1007
#18 0x000000343bc23e8c in gconf_engine_get_entry (conf=0x21b0b60, 
    key=0x30124211f8 "/apps/evolution/mail/default_account", locale=0x212ab60 "cs_CZ.UTF-8", 
    use_schema_default=1, err=0x7fff1402c330) at gconf.c:1110
#19 0x000000343bc27456 in get (client=0x21a24c0, 
    key=0x30124211f8 "/apps/evolution/mail/default_account", use_default=1, error=0x7fff1402c330)
    at gconf-client.c:1240
#20 0x000000343bc27621 in gconf_client_get_full (client=0x21a24c0, 
    key=0x30124211f8 "/apps/evolution/mail/default_account", locale=<value optimized out>, 
    use_schema_default=1, err=0x7fff1402c368) at gconf-client.c:1287
#21 0x000000343bc28483 in gconf_client_get_string (client=0x21a24c0, 
    key=0x30124211f8 "/apps/evolution/mail/default_account", err=0x0) at gconf-client.c:1486
#22 0x000000301240c652 in e_account_list_get_default (accounts=0x21b16d0) at e-account-list.c:408
#23 0x0000000001cedd3d in generate_account_hash () at em-composer-utils.c:1581
#24 0x0000000001cedeff in guess_account (message=0x7f44fea3c4e0, folder=0x7f44ec00d240)
    at em-composer-utils.c:1767
#25 0x0000000001cef5c2 in em_utils_reply_to_message (folder=0x7f44ec00d240, 
    uid=0x7f4500034130 "26702", message=0x7f44fea3c4e0, mode=0, source=0x7f44f2085020)
    at em-composer-utils.c:2260
#26 0x0000000001cefe74 in reply_to_message (folder=0xec5, uid=0xec5 <Address 0xec5 out of bounds>, 
    message=0x6, user_data=<value optimized out>) at em-composer-utils.c:2196
#27 0x0000000001d373c2 in mail_msg_idle_cb () at mail-mt.c:500
#28 0x0000003437e3779b in g_main_dispatch () at gmain.c:2144
Comment 4 Milan Crha 2009-04-02 10:19:43 EDT
Quiet low in gconf/orbit. If you can reproduce, could you try to run Evolution under valgrind, it might show something useful about memory corruption mentioned in the backtrace. (I guess it's a memory corruption.) Thanks in advance.
Comment 5 Matthew Barnes 2009-10-23 12:21:47 EDT
Is this issue still present in Fedora 12?
Comment 6 Dan Horák 2009-10-24 05:28:19 EDT
I am still running on F-10 and I think the issue reappeared only once in the previous 6 months.

Note You need to log in before you can comment on or make changes to this bug.